#!/bin/sh

# Change System Input orientation for Tablet Mode
# Depends on wacom_tools and xrandr

ORIENTATION="$(xrandr | egrep -o 'current [0-9]+ x [0-9]+' | sed 's/current \([0-9]\+\) x \([0-9]\+\)/\1 \2/')"
WIDTH=$(echo "$ORIENTATION" | cut -f 1 -d ' ')
HEIGHT=$(echo "$ORIENTATION" | cut -f 2 -d ' ')
if [  $WIDTH -gt $HEIGHT ]; then
	xrandr -o left
	xsetwacom set stylus Rotate CCW
else
	xrandr -o normal
	xsetwacom set stylus Rotate none
fi